script = <<-EOH
$nic = get-netadapter

Get-NetAdapterBinding –InterfaceAlias $nic.name –ComponentID ms_tcpip6
EOH

control "ipv6" do
    title 'Disabled network protocol IPv6'
    desc '
        This test assures that IPv6 is disabled
    '

    describe powershell(script) do
        its('stdout') { should match 'False' }
    end
end